<?php

/*
 * This file is part of the package buepro/bookmark_pages.
 *
 * For the full copyright and license information, please read the
 * LICENSE file that was distributed with this source code.
 */

defined('TYPO3') or die('Access denied.');

(function () {


    \TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
        'BookmarksLikesRatings',
        'StatusBookmark',
        [
            \WapplerSystems\BookmarksLikesRatings\Controller\BookmarkController::class => 'status'
        ],
        [
            \WapplerSystems\BookmarksLikesRatings\Controller\BookmarkController::class => 'status'
        ]
    );

    \TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
        'BookmarksLikesRatings',
        'ToggleBookmark',
        [
            \WapplerSystems\BookmarksLikesRatings\Controller\BookmarkController::class => 'toggle'
        ],
        [
            \WapplerSystems\BookmarksLikesRatings\Controller\BookmarkController::class => 'toggle'
        ]
    );


    \TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
        'BookmarksLikesRatings',
        'StatusLike',
        [
            \WapplerSystems\BookmarksLikesRatings\Controller\LikeController::class => 'status'
        ],
        [
            \WapplerSystems\BookmarksLikesRatings\Controller\LikeController::class => 'status'
        ]
    );

    \TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
        'BookmarksLikesRatings',
        'ToggleLike',
        [
            \WapplerSystems\BookmarksLikesRatings\Controller\LikeController::class => 'toggle'
        ],
        [
            \WapplerSystems\BookmarksLikesRatings\Controller\LikeController::class => 'toggle'
        ]
    );


    \TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
        'BookmarksLikesRatings',
        'Bookmarks',
        [
            \WapplerSystems\BookmarksLikesRatings\Controller\BookmarkController::class => 'index, bookmark, delete, listEntries'
        ],
        [
            \WapplerSystems\BookmarksLikesRatings\Controller\BookmarkController::class => 'bookmark, delete, listEntries'
        ]
    );

    \TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
        'BookmarksLikesRatings',
        'PersonalBookmarks',
        [
            \WapplerSystems\BookmarksLikesRatings\Controller\BookmarkController::class => 'personalList, delete'
        ],
        [
            \WapplerSystems\BookmarksLikesRatings\Controller\BookmarkController::class => 'personalList, delete'
        ]
    );

})();
